% Anfangswert und Endzeit
Q0 = 0;
I0 = 0;
T = 2;

% Konstanten und Anregung
L = 1;
R = 2;
C = 0.0016;
E = @(t) 100*cos(10*t);

% Rechte seite
f = @(t,Z) [Z(2); (E(t) - Z(1)/C - R*Z(2))/L];

% Anfangswert setzen
Z0 = [Q0;I0];

% Loese mit explizitem Euler Verfahren
N = 100;
N = 10000;
[t,Z] = expEuler(f,0,T,Z0,N);

% Plotte die Approximative Loesung
figure;
plot(t,Z')
legend('Q','I')
